cURL
curl --request GET \ --url https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/eligibility \ --header 'Authorization: Bearer <token>'
{ "can_merge": true, "approvals": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "approved_at": "<string>", "comment": "<string>", "dismissed_at": "<string>", "dismissed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dismissed_reason": "<string>" } ], "status_checks": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "check_name": "<string>", "status": "pending", "description": "<string>", "external_url": "<string>", "created_at": "<string>", "updated_at": "<string>" } ], "blockers": [ { "type": "approvalRequired", "message": "<string>", "details": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Branch ID (UUID)
Merge eligibility result
Show child attributes